package com.qmth.teachcloud.common.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description: 角色组成员params
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/3/8
 */
public class SysRoleGroupMemberMatchParams implements Serializable {

    @ApiModelProperty(value = "流程节点数据组")
    @NotEmpty(message = "流程节点数据组不能为空")
    private Map<String, SysRoleGroupMemberMatch> flowRoleGroupMemberMatchMap;

    public Map<String, SysRoleGroupMemberMatch> getFlowRoleGroupMemberMatchMap() {
        return flowRoleGroupMemberMatchMap;
    }

    public void setFlowRoleGroupMemberMatchMap(Map<String, SysRoleGroupMemberMatch> flowRoleGroupMemberMatchMap) {
        this.flowRoleGroupMemberMatchMap = flowRoleGroupMemberMatchMap;
    }

    public class SysRoleGroupMemberMatch implements Serializable {

        @ApiModelProperty(value = "角色id组")
        @JsonSerialize(using = ToStringSerializer.class)
        @NotEmpty(message = "角色id组不能为空")
        private List<Long> roleIdList;

        @ApiModelProperty(value = "用户id")
        @JsonSerialize(using = ToStringSerializer.class)
        @NotNull(message = "用户id不能为空")
        private Long userId;

        public List<Long> getRoleIdList() {
            return roleIdList;
        }

        public void setRoleIdList(List<Long> roleIdList) {
            this.roleIdList = roleIdList;
        }

        public Long getUserId() {
            return userId;
        }

        public void setUserId(Long userId) {
            this.userId = userId;
        }
    }
}
