package com.qmth.teachcloud.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.bean.params.ApproveUserResult;
import com.qmth.teachcloud.common.bean.params.SysRoleGroupMemberMatchParams;
import com.qmth.teachcloud.common.bean.params.SysRoleGroupMemberParams;
import com.qmth.teachcloud.common.entity.SysRoleGroupMember;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 角色组成员表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2022-03-08
 */
public interface SysRoleGroupMemberService extends IService<SysRoleGroupMember> {

    /**
     * 保存或修改
     *
     * @param roleGroupMemberParams
     * @return
     */
    public boolean saveOrUpdate(SysRoleGroupMemberParams roleGroupMemberParams);

    /**
     * 根据roleId查找数据
     *
     * @param roleId
     * @return
     */
    public List<SysRoleGroupMember> findByRoleId(Long roleId);

    /**
     * 流程数据组匹配查询
     *
     * @param roleGroupMemberMatchParams
     * @return
     */
    public Map<String, List<ApproveUserResult>> matchList(SysRoleGroupMemberMatchParams roleGroupMemberMatchParams);
}
